package com.quantgroup.asset.distribution.service.funding;

import com.quantgroup.asset.distribution.service.jpa.entity.AidLoanFundConfig;

import java.util.List;

/**
 * Created by renfeng on 2019/7/22.
 */
public interface IAidLoanFundConfigService {


    /**
     * 查询全部可用助贷资金
     * @return
     */
    List<AidLoanFundConfig> findAll();


    /**
     * 根据id查询助贷资金
     * @param id
     * @return
     */
    AidLoanFundConfig findById(Long id);


    /**
     * 根据编号查询助贷资金
     * @param fundNo
     * @return
     */
    AidLoanFundConfig findByFundNo(String fundNo);

    void clearCache();
}
